[darcs-devel] [issue1578] mark-conflicts command gives empty prompt since darcs 2.2

Trent W. Buck bugs at darcs.net
Fri Aug 28 00:32:06 UTC 2009


Trent W. Buck <trentbuck at gmail.com> added the comment:

On Thu, Aug 27, 2009 at 02:21:47PM +0000, Simon Michael wrote:
>> On OS X Leopard, I'm getting a blank [y/n] prompt with darcs 2.3
>> [and] 2.2 but not 2.1. This broke with the "Make Haskeline a
>> required dependency. " patch [...]
>
> The problem is due to running in an emacs shell buffer.

Do you mean M-x shell or M-x eshell?

I cannot reproduce this problem in GNU Emacs 23.1.1 on Debian, running
in GNU Screen.  I tried both M-x shell and M-x eshell.

Simon tells me in IRC that it happens specifically in mark-conflicts,
but I cannot work out how to make mark-conflicts prompt me (I don't
have a repo that conflicts handy).

Simon, a transcript of the exact problem would help.

----------
nosy: +twb

__________________________________
Darcs bug tracker <bugs at darcs.net>
<http://bugs.darcs.net/issue1578>
__________________________________


More information about the darcs-devel mailing list